.TH KALARM 1
.SH NAME
kalarm \- Personal alarm message, command and email scheduler for KDE
.SH SYNOPSIS
.B kalarm
.I [Qt-options] [KDE-options] [options] [message]
.SH DESCRIPTION
\fBKAlarm\fP is a personal alarm message, command and email scheduler. It
lets you set up personal alarm messages which pop up on the screen at the
chosen time, or you can schedule commands to be executed or emails to be
sent.
.SH PROGRAM OPTIONS
.TP
.B -a, --ack-confirm
Prompt for confirmation when alarm is acknowledged.
.TP
.B -A, --attach \fI<url>\fB
Attach file to email (repeat as needed).
.TP
.B --auto-close
Auto-close alarm window after --late-cancel period.
.TP
.B --bcc
Blind copy email to self.
.TP
.B -b, --beep
Beep when message is displayed.
.TP
.B -c, --color \fI<color>\fB
Message background color (name or hex 0xRRGGBB).
.TP
.B -C, --colorfg \fI<color>\fB
Message foreground color (name or hex 0xRRGGBB).
.TP
.B --calendarURL \fI<url>\fB
URL of calendar file.
.TP
.B --cancelEvent \fI<eventID>\fB
Cancel alarm with the specified event ID.
.TP
.B -d, --disable
Disable the alarm.
.TP
.B -e, --exec \fI<commandline>\fB
Execute a shell command line.
.TP
.B --edit \fI<eventID>\fB
Display the alarm edit dialog to edit the specified alarm.
.TP
.B -n, --edit-new
Display the alarm edit dialog to edit a new alarm.
.TP
.B --edit-new-preset \fI<templateName>\fB
Display the alarm edit dialog, preset with a template.
.TP
.B -f, --file \fI<url>\fB
File to display.
.TP
.B -F, --from-id \fI<ID>\fB
KMail identity to use as sender of email.
.TP
.B --handleEvent \fI<eventID>\fB
Trigger or cancel alarm with the specified event ID.
.TP
.B -i, --interval \fI<period>\fB
Interval between alarm repetitions.
.TP
.B -k, --korganizer
Show alarm as an event in KOrganizer.
.TP
.B -l, --late-cancel \fI<period>\fB
Cancel alarm if more than 'period' late when triggered.
.TP
.B -L, --login
Repeat alarm at every login.
.TP
.B -m, --mail \fI<address>\fB
Send an email to the given address (repeat as needed).
.TP
.B -p, --play \fI<url>\fB
Audio file to play once.
.TP
.B -P, --play-repeat \fI<url>\fB
Audio file to play repeatedly.
.TP
.B --recurrence \fI<spec>\fB
Specify alarm recurrence using iCalendar syntax.
.TP
.B -R, --reminder \fI<period>\fB
Display reminder in advance of alarm.
.TP
.B --reminder-once \fI<period>\fB
Display reminder once, before first alarm recurrence.
.TP
.B -r, --repeat \fI<count>\fB
Number of times to repeat alarm (including initial occasion).
.TP
.B --reset
Reset the alarm scheduling daemon.
.TP
.B -s, --speak
Speak the message when it is displayed.
.TP
.B --stop
Stop the alarm scheduling daemon.
.TP
.B -S, --subject
Email subject line.
.TP
.B -t, --time \fI<time>\fB
Trigger alarm at time [[[yyyy-]mm-]dd-]hh:mm, or date yyyy-mm-dd.
.TP
.B --tray
Display system tray icon.
.TP
.B --triggerEvent \fI<eventID>\fB
Trigger alarm with the specified event ID.
.TP
.B -u, --until \fI<time>\fB
Repeat until time [[[yyyy-]mm-]dd-]hh:mm, or date yyyy-mm-dd.
.TP
.B -V, --volume \fI<percent>\fB
Volume to play audio file.
.TP
.B message
Message text to display.
.so kdeopt.part
.SH SEE ALSO
More detailed user documentation is available from
.BR help:/kalarm
(either enter this URL into \fBkonqueror\fP, or run `khelpcenter
help:/kalarm').
